## org.apache.poi.xslf.usermodel
Enum TextAutofit

    java.lang.Object
      java.lang.Enum<TextAutofit>
          org.apache.poi.xslf.usermodel.TextAutofit

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TextAutofit>

    public enum TextAutofit

extends java.lang.Enum<TextAutofit>

Specifies alist of auto-fit types.

Autofit specofies that a shape should be auto-fit to fully contain the text described within it. Auto-fitting is when text within a shape is scaled in order to contain all the text inside

Author:
  Yegor Kozlov

Enum Constant Summary
`NONE` Specifies that text within the text body should not be auto-fit to the bounding box.
`NORMAL` Specifies that text within the text body should be normally auto-fit to the bounding box.
`SHAPE` Specifies that a shape should be auto-fit to fully contain the text described within it.

Method Summary
`static TextAutofit` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TextAutofit[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final TextAutofit NONE

  Specifies that text within the text body should not be auto-fit to the bounding box. Auto-fitting is when text within a text box is scaled in order to remain inside the text box.

### NORMAL

    public static final TextAutofit NORMAL

  Specifies that text within the text body should be normally auto-fit to the bounding box. Autofitting is when text within a text box is scaled in order to remain inside the text box.

  Example: Consider the situation where a user is building a diagram and needs to have the text for each shape that they are using stay within the bounds of the shape. An easy way this might be done is by using NORMAL autofit

### SHAPE

    public static final TextAutofit SHAPE

  Specifies that a shape should be auto-fit to fully contain the text described within it. Auto-fitting is when text within a shape is scaled in order to contain all the text inside.

  Example: Consider the situation where a user is building a diagram and needs to have the text for each shape that they are using stay within the bounds of the shape. An easy way this might be done is by using SHAPE autofit

Method Detail

### values

    public static TextAutofit[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TextAutofit c : TextAutofit.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TextAutofit valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.